> ## Documentation Index
> Fetch the complete documentation index at: https://old-docs.you.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Images

<Note>
  **NOTE**: The You.com Image Search is currently available to exclusive early access partners.

  To express interest in early access, please reach out via email to [api@you.com](mailto:api@you.com).
</Note>

<Callout icon="eyes" color="#FF8000" iconType="regular">**ATTENTION**: The correct cURL code to use in your API call is in the playground. Click on **Try it** in the bar above to open the playground.</Callout>

## Description

This endpoint returns the URLs of images associated to the user query.


## OpenAPI

````yaml openapi_images get /images
openapi: 3.0.0
info:
  title: You.com Index API
  description: SEARCH WITH THE BEST, SEARCH WITH YOU!
  version: 0.0.1
servers:
  - url: https://image-search.ydc-index.io
security:
  - ApiKeyAuth: []
paths:
  /images:
    get:
      summary: Returns a list of images hits for query
      parameters:
        - name: q
          in: query
          required: true
          description: >-
            The search query used to retrieve relevant image results from the
            web.
          example: The image you are searching for
          schema:
            type: string
            default: The image you are searching for
      responses:
        '200':
          description: A JSON object containing an array of image search results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  images:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: The title of the image result.
                              example: 8 Test Day Tips for Success
                            page_url:
                              type: string
                              description: The URL of the webpage containing the image.
                              example: >-
                                https://www.c2educate.com/8-test-day-tips-success/
                            image_url:
                              type: string
                              description: The direct URL to the image.
                              example: >-
                                https://s26378.pcdn.co/wp-content/uploads/sat-or-act-test-1030x519.jpg
                  metadata:
                    type: object
                    properties:
                      query:
                        type: string
                        description: Returns the original query submitted.
                        example: The image you are searching for
                      search_uuid:
                        type: string
                        description: The unique identifier for the search request.
                        example: c6c8f8cf-b6fc-4248-9828-24fc0dcf7be5
        '401':
          description: Unauthorized. Problems with API key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Error detail message.
              examples:
                missingApiKey:
                  summary: Missing API key
                  value:
                    detail: API key is required
                invalidOrExpired:
                  summary: Invalid/expired API key
                  value:
                    detail: Invalid or expired API key
                otherAuthParsing:
                  summary: Other auth parsing errors
                  value:
                    detail: <error message>
        '403':
          description: Forbidden. API key lacks scope for this path.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                missingScopes:
                  summary: Missing required scopes
                  value:
                    detail: Missing required scopes
        '500':
          description: >-
            Internal Server Error during authentication/authorization
            middleware.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                authFailure:
                  summary: Authentication failure
                  value:
                    detail: Internal authentication error
                authorizationFailure:
                  summary: Authorization failure
                  value:
                    detail: Internal authorization error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The unique API Key required to authorize API access. Learn how to get
        yours in the [“Get your API key” section of the
        documentation](/get-started/quickstart#get-your-api-key).

````